%global oname policy
Name:          glassfish-policy
Version:       2.3.1
Release:       %mkrel 6
Summary:       GlassFish WS-Policy implementation
License:       CDDL or GPLv2 with exceptions
URL:           http://policy.java.net/
# svn export https://svn.java.net/svn/policy~policy/tags/policy-2.3.1
# tar czf policy-2.3.1-src-svn.tar.gz policy-2.3.1
Source0:       %{oname}-%{version}-src-svn.tar.gz

Group:         Development/Java

BuildRequires: java-devel
BuildRequires: jvnet-parent

BuildRequires: bea-stax-api
BuildRequires: istack-commons
BuildRequires: txw2
BuildRequires: woodstox-core

# test deps
BuildRequires: junit

# BuildRequires: buildnumber-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-surefire-provider-junit4
# BuildRequires: svn

BuildArch:     noarch

%description
The policy project provides the WS-Policy implementation
for Project Metro.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}
find -name '*.jar' -delete
find -name '*.class' -delete

%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-resources-plugin']" "<version>any</version>"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='cobertura-maven-plugin']" "<version>any</version>"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-jar-plugin']" "<version>any</version>"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']" "<version>any</version>"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-surefire-report-plugin']" "<version>any</version>"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-jxr-plugin']" "<version>any</version>"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='cobertura-maven-plugin']" "<version>any</version>"

sed -i 's/${artifactId}/${project.artifactId}/' pom.xml

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%build

%mvn_file :%{oname} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt Licenses/license-policy.html

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt Licenses/license-policy.html




%changelog
* Sun Jan 05 2014 dmorgan <dmorgan> 2.3.1-6.mga4
+ Revision: 564851
- Clean spec file

* Thu Dec 19 2013 dmorgan <dmorgan> 2.3.1-5.mga4
+ Revision: 558862
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.3.1-3.mga3
+ Revision: 351757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 2.3.1-2.mga3
+ Revision: 342935
- Remove findbugs-maven-plugin deps

* Fri Jun 22 2012 dmorgan <dmorgan> 2.3.1-1.mga3
+ Revision: 262689
- imported package glassfish-policy

